import { CarrierResponse } from '@cms/queries/carrier.query';
import { CarrierCredentials } from '@cms/queries/customerCarrierCredentials.query';
import { ICmsService } from '@cms/cms.interface';
import { Carrier } from '@lib/common';
export declare class CmsService implements ICmsService {
    private client;
    constructor(baseUrl: string, accessToken: string);
    getCustomerCarrierCredentials(customerId: string, carrier: Carrier): Promise<CarrierCredentials | null>;
    getCarrier(carrierId: Carrier): Promise<CarrierResponse | null>;
}
//# sourceMappingURL=cms.service.d.ts.map