import { IOrderCreateMessage } from '@rabbitmq/messages/createOrder.interface';
import { IHealthStatusMessage } from '@rabbitmq/messages/healthStatus.interface';
import { IOrderCancelMessage } from '@rabbitmq/messages/orderCancel.interface';
import { RabbitMQExchange } from '@rabbitmq/types';
export interface IRabbitMQService {
    sendCreateOrderMessage: (message: IOrderCreateMessage) => void;
    sendCancelOrderMessage: (message: IOrderCancelMessage) => void;
    sendHealthStatusMessage: (message: IHealthStatusMessage) => void;
}
export interface IRabbitMQMessage {
    exchange: RabbitMQExchange;
    routingKey: string;
}
//# sourceMappingURL=rabbitmq.interface.d.ts.map